TIG(1)

NAME
tig - text-mode interface for git

SYNOPSIS

tig        [options] [revisions] [--] [paths]
tig show   [options] [revisions] [--] [paths]
tig blame  [options] [rev] path
tig status
tig <      [git command output]

DESCRIPTION

Browse changes in a git repository. Additionally, tig(1) can also act as a pager for output of various git commands.

When browsing repositories, tig(1) uses the underlying git commands to present the user with various views, such as summarized commit log and showing the commit with the log message, diffstat, and the diff.

Using tig(1) as a pager, it will display input from stdin and try to colorize it.

OPTIONS

Command line options recognized by tig include all valid git-log(1) and git-diff(1) options, as well as the following subcommands and tig specific options. The first command line parameter not starting with "-" is interpreted as being either a revision specification or a path and will end the option parsing. All following options will be passed untouched to the underlying git command.

show
    Open diff view using the given git-show(1) options.

blame
    Show given file annotated by commits. Takes zero or more git-blame(1) options. Optionally limited from given revision.

status
    Start up in status view.

-v, --version
    Show version and exit.

-h, --help
    Show help message and exit.

EXAMPLES

Display the current branch:

    $ tig

Display one or more specific branches:

    $ tig test master

Display all branches:

    $ tig --all

Display differences between two branches:

    $ tig test..master

Display changes for a single file:

    $ tig -- README

Display contents of the README file in a specific revision:

    $ tig show tig-0.8:README

Display revisions between two dates for a specific file:

    $ tig --after="2004-01-01" --before="2006-05-16" -- README

ENVIRONMENT VARIABLES

In addition to environment variables used by git (e.g. GIT_DIR), tig defines the ones below. The command related environment variables have access to the internal state of tig via replacement variables, such as %(commit) and %(blob). See manpage:tigrc[5] for a full list.

TIGRC_USER
    Path of the user configuration file (defaults to ~/.tigrc).

TIGRC_SYSTEM
    Path of the system wide configuration file (defaults to {sysconfdir}/tigrc).

TIG_LS_REMOTE
    Set command for retrieving all repository references. The command should output data in the same format as git-ls-remote(1).

TIG_DIFF_OPTS
    The diff options to use in the diff view. The diff view uses git-show(1) for formatting and always passes --patch-with-stat, --find-copies-harder, and -C.

FILES

~/.tigrc
    User configuration file. See manpage:tigrc[5] for examples.

++SYSCONFDIR++/tigrc
    System wide configuration file.

$GIT_DIR/config, '~/.gitconfig, '++SYSCONFDIR++/etc/gitconfig
    Git configuration files. Read on start-up with the help of git-config(1).

BUGS

Known bugs and problems:

    • Proper locale support: in it’s current state tig is pretty much UTF-8 only.

COPYRIGHT

Copyright (c) 2006-2010 Jonas Fonseca <fonseca@diku.dk[1]>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SEE ALSO

manpage:tigrc[5], manpage:tigmanual[7], git(7), gitk(1)

Online resources:

    • Homepage: http://jonas.nitro.dk/tig/

    • Manual: http://jonas.nitro.dk/tig/manual.html

    • Tarballs: http://jonas.nitro.dk/tig/releases/

    • Git URL: git://repo.or.cz/tig.git (mirror) or http://jonas.nitro.dk/tig/tig.git (master)

    • Gitweb: http://repo.or.cz/w/tig.git

NOTES

1.  fonseca@diku.dk
    mailto:fonseca@diku.dk